## wesnoth-1.18 1.18.4

=== SConstruct ===
# vi: syntax=python:et:ts=4
#
# SCons build description for the Wesnoth project
#
# Prerequisites are:
# 1. autorevision for getting the repository revision level.
# 2. msgfmt(1) for making builds with i18n support.
# 3. graph-includes for making the project dependency graph.

EnsureSConsVersion(0,98,3)

lua_ver = "5.4"

import os, sys, shutil, re, subprocess
from glob import glob
from subprocess import Popen, PIPE, call, check_output
from os import access, F_OK

# Warn user of current set of build options.
AddOption('--option-cache', dest='option_cache', nargs=1, type = 'string', action = 'store', metavar = 'FILE', help='file with cached construction variables', default = '.scons-option-cache')
if GetOption("option_cache") != "" and os.path.exists(GetOption("option_cache")):
    optfile = open(GetOption("option_cache"))
    print("Saved options: {}".format(optfile.read().replace("\n", ", ")[:-2]))
    optfile.close()

#
# Get the Wesnoth version number
#

config_h_re = re.compile(r"^.*#define\s*(\S*)\s*\"(\S*)\".*$", re.MULTILINE)
build_config = dict( config_h_re.findall(File("src/wesconfig.h").get_contents().decode("utf-8")) )
try:
    version = build_config["VERSION"]
    print("Building Wesnoth version %s" % version)
except KeyError:
    print("Couldn't determine the Wesnoth version number, bailing out!")
    sys.exit(1)

#
# Build-control options
#

opts = Variables(GetOption("option_cache"))

def OptionalPath(key, val, env):
    if val:
        PathVariable.PathIsDir(key, val, env)

opts.AddVariables(
    ListVariable('default_targets', 'Targets that will be built if no target is specified in command line.',
        "wesnoth,wesnothd", Split("wesnoth wesnothd campaignd boost_unit_tests")),
    EnumVariable('build', 'Build variant: release, debug, or profile', "release", ["release", "debug"]),
    PathVariable('build_dir', 'Build all intermediate files(objects, test programs, etc) under this dir', "build", PathVariable.PathAccept),
    ('extra_flags_config', "Extra compiler and linker flags to use for configuration and all builds. Whether they're compiler or linker is determined by env.ParseFlags. Unknown flags are compile flags by default. This applies to all extra_flags_* variables", ""),
    ('extra_flags_release', 'Extra compiler and linker flags to use for release builds', ""),
    ('extra_flags_debug', 'Extra compiler and linker flags to use for debug builds', ""),
    ('extra_flags_profile', 'Extra compiler and linker flags to use for profile builds', ""),
    BoolVariable('enable_lto', 'Whether to enable Link Time Optimization for build=release', False),
    ('arch', 'What -march option to use for build=release, will default to pentiumpro on Windows', ""),
    ('opt', 'override for the build\'s optimization level', ""),
    BoolVariable('harden', 'Whether to enable options to harden the executables', True),
    BoolVariable('glibcxx_assertions', 'Whether to define _GLIBCXX_ASSERTIONS for build=debug', False),
    BoolVariable('glibcxx_debug', "Whether to define _GLIBCXX_DEBUG and _GLIBCXX_DEBUG_PEDANTIC for build=debug. Requires a version of Boost's program_options that's compiled with __GLIBCXX_DEBUG too.", False),
    EnumVariable('profiler', 'profiler to be used', "", ["", "gprof", "gcov", "gperftools", "perf"]),
    EnumVariable('pgo_data', 'whether to generate profiling data for PGO, or use existing profiling data', "", ["", "generate", "use"]),
    BoolVariable('use_srcdir', 'Whether to place object files in src/ or not', False),
    PathVariable('bindir', 'Where to install binaries', "bin", PathVariable.PathAccept),
    ('cachedir', 'Directory that contains a cache of derived files.', ''),
    PathVariable('datadir', 'read-only architecture-independent game data', "$datarootdir/$datadirname", PathVariable.PathAccept),
    PathVariable('fifodir', 'directory for the wesnothd fifo socket file', "/var/run/wesnothd", PathVariable.PathAccept),
    BoolVariable('desktop_entry','Clear to disable desktop-entry', True),
    BoolVariable('appdata_file','Clear to not install appdata file', True),
    BoolVariable('systemd','Install systemd unit file for wesnothd', bool(WhereIs("systemctl"))),
    PathVariable('datarootdir', 'sets the root of data directories to a non-default location', "share", PathVariable.PathAccept),
    PathVariable('datadirname', 'sets the name of data directory', "wesnoth$version_suffix", PathVariable.PathAccept),
    PathVariable('desktopdir', 'sets the desktop entry directory to a non-default location', "$datarootdir/applications", PathVariable.PathAccept),
    PathVariable('icondir', 'sets the icons directory to a non-default location', "$datarootdir/icons", PathVariable.PathAccept),
    PathVariable('appdatadir', 'sets the appdata directory to a non-default location', "$datarootdir/metainfo", PathVariable.PathAccept),
    BoolVariable('internal_data', 'Set to put data in Mac OS X application fork', False),
    PathVariable('localedirname', 'sets the locale data directory to a non-default location', "translations", PathVariable.PathAccept),
    PathVariable('mandir', 'sets the man pages directory to a non-default location', "$datarootdir/man", PathVariable.PathAccept),
    PathVariable('docdir', 'sets the doc directory to a non-default location', "$datarootdir/doc/wesnoth", PathVariable.PathAccept),
    PathVariable('python_site_packages_dir', 'sets the directory where python modules are installed', "lib/python/site-packages/wesnoth", PathVariable.PathAccept),
    BoolVariable('notifications', 'Enable support for desktop notifications', True),
    BoolVariable('nls','enable compile/install of gettext message catalogs',True),
    PathVariable('prefix', 'autotools-style installation prefix', "/usr/local", PathVariable.PathAccept),
    PathVariable('prefsdir', 'user preferences directory', "", PathVariable.PathAccept),
    PathVariable('default_prefs_file', 'default preferences file name', "", PathVariable.PathAccept),
    PathVariable('destdir', 'prefix to add to all installation paths.', "/", PathVariable.PathAccept),
    BoolVariable('prereqs','abort if prerequisites cannot be detected',True),
    ('program_suffix', 'suffix to append to names of installed programs',"$version_suffix"),
    ('version_suffix', 'suffix that will be added to default values of prefsdir, program_suffix and datadirname', ""),
    BoolVariable('forum_user_handler', 'Enable forum user handler in wesnothd and campaignd', False),
    ('server_gid', 'group id of the user who runs wesnothd', ""),
    ('server_uid', 'user id of the user who runs wesnothd', ""),
    BoolVariable('strict', 'Set to strict compilation', False),
    BoolVariable('pedantic', 'Set to pedantic compilation', False),
    BoolVariable('static_test', 'Staticaly build against boost test (Not supported yet)', False),
    BoolVariable('verbose', 'Emit progress messages during data installation.', False),
    PathVariable('sdldir', 'Directory of SDL installation.', "", OptionalPath),
    PathVariable('boostdir', 'Directory of boost installation.', "", OptionalPath),
    PathVariable('boostlibdir', 'Directory where boost libraries are installed.', "", OptionalPath),
    ('boost_suffix', 'Suffix of boost libraries.'),
    PathVariable('gettextdir', 'Root directory of Gettext\'s installation.', "", OptionalPath),
    PathVariable('gtkdir', 'Directory where GTK SDK is installed.', "", OptionalPath),
    BoolVariable('system_lua', 'Enable use of system Lua ' + lua_ver + ' (compiled as C++, only for non-Windows systems).', False),
    PathVariable('luadir', 'Directory where Lua binary package is unpacked.', "", OptionalPath),
    ('host', 'Cross-compile host.', ''),
    EnumVariable('multilib_arch', 'Address model for multilib compiler: 32-bit or 64-bit', "", ["", "32", "64"]),
    ('jobs', 'Set the number of parallel compilations', "1", lambda key, value, env: int(value), int),
    BoolVariable('distcc', 'Use distcc', False),
    BoolVariable('ccache', "Use ccache", False),
    ('ctool', 'Set c compiler command if not using standard compiler.'),
    ('cxxtool', 'Set c++ compiler command if not using standard compiler.'),
    EnumVariable('cxx_std', 'Target c++ std version', '17', ['17', '20']),
    ('sanitize', 'Enable clang and GCC sanitizer functionality. A comma separated list of sanitize suboptions must be passed as value.', ''),
    BoolVariable("fast", "Make scons faster at cost of less precise dependency tracking.", False),
    BoolVariable("autorevision", 'Use autorevision tool to fetch current git revision that will be embedded in version string', True),
    BoolVariable("lockfile", "Create a lockfile to prevent multiple instances of scons from being run at the same time on this working copy.", False),
    BoolVariable("OS_ENV", "Forward the entire OS environment to scons", False),
    BoolVariable("history", "Clear to disable GNU history support in lua console", True),
    BoolVariable('force_color', 'Always produce ANSI-colored output (GNU/Clang only).', False),
    )

#
# Setup
#

toolpath = ["scons"]
for repo in Dir(".").repositories:
  # SCons repositories are additional dirs to look for source and lib files.
  # It is possible to make out of tree builds by running SCons outside of this
  # source code root and supplying this path with -Y option.
  toolpath.append(repo.abspath + "/scons")
sys.path = toolpath + sys.path
env = Environment(tools=["tar", "gettext_tool", "install", "scanreplace"], options = opts, toolpath = toolpath)

if env["lockfile"]:
    print("Creating lockfile")
    lockfile = os.path.abspath("scons.lock")
    if sys.version_info.major >= 3:
        create = "x"
    else:
        create = "wx"
    open(lockfile, create).write(str(os.getpid()))
    import atexit
    atexit.register(os.remove, lockfile)

if GetOption("option_cache") != "":
    opts.Save(GetOption("option_cache"), env)
env.SConsignFile("$build_dir/sconsign.dblite")

# If OS_ENV was enabled, copy the entire OS environment.
if env['OS_ENV']:
    env['ENV'] = os.environ

# Make sure the user's environment is always available
env['ENV']['PATH'] = os.environ.get("PATH")
term = os.environ.get('TERM')
if term is not None:
    env['ENV']['TERM'] = term

if env["PLATFORM"] == "win32":
    env.Tool("mingw")
else:
    from cross_compile import *
    setup_cross_compile(env)

if sys.platform != 'win32':
    env.Tool("system_include")

if 'HOME' in os.environ:
    env['ENV']['HOME'] = os.environ['HOME']

if env.get('ctool',""):
    env['CC'] = env['ctool']
    env['CXX'] = env['ctool'].rstrip("cc") + "++"

if env.get('cxxtool',""):
    env['CXX'] = env['cxxtool']

if env['jobs'] > 1:
    SetOption("num_jobs", env['jobs'])
else:
    env['jobs'] = 1

if env['distcc']:
    env.Tool('distcc')

if env['ccache']: env.Tool('ccache')

boost_version = "1.67"

def SortHelpText(a, b):
    return (a > b) - (a < b)

Help("""Arguments may be a mixture of switches and targets in any order.
Switches apply to the entire build regardless of where they are in the order.
Important switches include:

    prefix=/usr     probably what you want for production tools
    use_srcdir=yes  build directly in the distribution root;
                    you'll need this if you're trying to use Emacs compile mode.
    build=release   build the release build variant with appropriate flags
                        in build/release and copy resulting binaries
                        into distribution/working copy root.
    build=debug     same for debug build variant
    build=profile   build with instrumentation for a supported profiler

With no arguments, the recipe builds wesnoth and wesnothd.  Available
build targets include the individual binaries:

    wesnoth wesnothd campaignd boost_unit_tests

You can make the following special build targets:

    all = wesnoth wesnothd campaignd boost_unit_tests (*).
    TAGS = build tags for Emacs (*).
    wesnoth-deps.png = project dependency graph

## wesnoth-1.18 1.18.2

=== debian/changelog ===
wesnoth-1.18 (1:1.18.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 06 Jul 2024 16:43:46 -0700

wesnoth-1.18 (1:1.18.2-1) unstable; urgency=medium

  * New upstream stable release.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 30 Jun 2024 01:03:01 -0700

wesnoth-1.18 (1:1.18.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 19 Jun 2024 14:58:26 -0700

wesnoth-1.18 (1:1.18.1-1) unstable; urgency=medium

  * New upstream stable release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 17 Jun 2024 17:31:36 -0700

wesnoth-1.18 (1:1.18.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
    - Undo usrmerge-related change to ease backporting.
    - Revert back to vendored Lua due to system Lua not being new enough.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 11 May 2024 07:47:03 -0700

wesnoth-1.18 (1:1.18.0-2) unstable; urgency=medium

  * Install systemd unit file in UsrMerge-allowed location. (Closes: #1069815)
    - Declare build-dep on debhelper (>= 13.11.6~).

 -- Vincent Cheng <vcheng@debian.org>  Fri, 26 Apr 2024 06:07:52 -0700

wesnoth-1.18 (1:1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
    - Add build-dep on libboost-graph-dev, update version restriction on
      libsdl2-dev.
    - Add dep on fonts-lohit-beng-bengali.
  * Drop data/tools/addon_manager (standalone client for addon devs to
    upload/download WML content from addon server, no impact on in-game addon
    manager) from wesnoth-tools due to embedded code copies; also drop related
    patch 04wam-html-privacy-warning.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 23 Apr 2024 14:06:31 -0700

wesnoth-1.18 (1:1.17.26-1) unstable; urgency=medium

  * New upstream release 1.18 RC1.
    - Fixes horizontal scrolling with libsdl2 versions (>= 2.0.18) on X11 and
      versions (>= 2.0.20) on Wayland.
    - Add new package wesnoth-1.18-wof for the newly added mainline campaign,
      "Winds of Fate".
    - New gettext domain wesnoth-tools.
    - Refresh wesnothd-name patch.
  * Fix installation via AppStream-based software centers not installing the
    music or any campaigns except the tutorial.  Make the wesnoth-1.18 package
    provide the main program for Wesnoth and recommend instead of depending on
    all the campaign packages.  Make wesnoth-core a transitional package that
    depends on wesnoth-1.18.  Don't build a wesnoth-1.18-core package.  Add
    NEWS entry about the changes.  (LP: #2033222)
    - wesnoth-1.18 still recommends wesnoth-1.18-music, so without a separate
      wesnoth-1.18-core package to only suggest it, the music is always pulled
      in by default (regression of LP #281791).
  * Use updated systemd service file from upstream for wesnoth-1.18-server.
    - Adds Documentation keys.
      (Fixes lintian info tag systemd-service-file-missing-documentation-key)
    - Adds systemd security features.
    - Resets the socket file's owner, group, and mode after wesnothd is
      started from within the game (where it runs under a different user).
  * Run wesnothd as a new system user and group "_wesnoth", because running as
    "nobody" is unsafe.  Fixes a warning message in systemd 246+.
    (Fixes lintian warning tag systemd-service-file-uses-nobody-or-nogroup)
  * Store PID and socket files in /run instead of /var/run.  Fixes a warning
    from systemd-tmpfiles.  (See lintian bug #984678)
    (Fixes lintian info tag systemd-tmpfile-in-var-run)
  * Allow running multiple versions of wesnothd under systemd.  Different
    -p/--port options must be specified.
    - Running multiple wesnothd versions under sysvinit was already possible
      with -p/--port in /etc/default/wesnoth-* DAEMON_OPTS.
  * Use the system copy of Lua, which is possible now for the first time since
    the 1.8 branch.
  * Update build dependencies:
    - Add libcurl4-openssl-dev, libfontconfig-dev, pkgconf, and python3.
    - Remove libboost-serialization-dev, libfreetype-dev, libfribidi-dev,
      libpng-dev, and libsdl2-ttf-dev.
    - Update version restrictions of cmake, libboost-*-dev, libcairo2-dev,
      libpango1.0-dev, libsdl2-dev, libsdl2-image-dev, and libssl-dev.
  * Update missing jQuery and tablesorter source files.
  * Update debian/copyright and rewrite in machine-readable format 1.0.
    (Fixes lintian pedantic tag no-dep5-copyright)
    - Since the addition of xBRZ code in version 1.13.0, the wesnoth-x.yy
      program has been licensed under GPL-3.  Wesnoth code without xBRZ is
      still under GPL-2+ or compatible licenses.
    - Add script to convert upstream's new machine-readable copyrights.csv
      file for images and sounds to Debian's machine-readable format 1.0.
  * Add patch to warn about privacy breach: connections to Google and Wesnoth
    servers from HTML file generated by "wesnoth_addon_manager --html HTML".
    - Document this problem and possible solutions in debian/TODO.
  * Use HTTPS homepage.
  * Remove outdated and unnecessary addon manager COPYING.txt from
    wesnoth-1.18-tools.
  * Drop undefined ${shlibs:Depends} and add missing ${perl:Depends} in
    wesnoth-1.18-tools package Depends.
  * Update deprecated debian/*.tmpfile name.
  * Fix font symlinks creation in debian/rules.
  * Fix regression of #445550 (relative symbolic links to fonts) caused by
    1:1.16.10-1 switching to modernized debian/rules using short-hand dh.
    Caught by lintian: unused-override absolute-symlink-in-top-level-folder
  * Remove unused CPPFLAGS and CMAKE_SWITCHES in debian/rules.
  * Run "conftests" SDL initialization tests (new since 1.17.4) in
    debian/rules.
  * Run WML tests under autopkgtest.
  * Update lintian overrides.
  * Add myself to Uploaders.

 -- P. J. McDermott <pj@pehjota.net>  Wed, 21 Feb 2024 08:38:00 -0500



=== debian/control ===
Source: wesnoth-1.18
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends:
 cmake (>= 3.14),
 debhelper-compat (= 13),
 libboost-coroutine-dev       (>= 1.66.0),
 libboost-filesystem-dev      (>= 1.66.0),
 libboost-graph-dev           (>= 1.66.0),
 libboost-iostreams-dev       (>= 1.66.0),
 libboost-locale-dev          (>= 1.66.0),
 libboost-program-options-dev (>= 1.66.0),
 libboost-random-dev          (>= 1.66.0),
 libboost-regex-dev           (>= 1.66.0),
 libboost-system-dev          (>= 1.66.0),
 libboost-test-dev            (>= 1.66.0),
 libboost-thread-dev          (>= 1.66.0),
 libcairo2-dev (>= 1.10.0),
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libfontconfig-dev (>= 2.4.1),
 libpango1.0-dev (>= 1.44.0),
 libreadline-dev,
 libsdl2-dev (>= 2.0.18),
 libsdl2-image-dev (>= 2.0.2),
 libsdl2-mixer-dev (>= 2.0.0),
 libssl-dev (>= 1.0),
 libvorbis-dev,
 pkgconf,
 python3,
Standards-Version: 4.7.0
Uploaders:
 Rhonda D'Vine <rhonda@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 P. J. McDermott <pj@pehjota.net>,
Homepage: https://www.wesnoth.org/
Vcs-Git: https://salsa.debian.org/games-team/wesnoth.git
Vcs-Browser: https://salsa.debian.org/games-team/wesnoth
Rules-Requires-Root: no

Package: wesnoth-1.18-data
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-adf-oldania,
 fonts-dejavu-core,
 fonts-dejavu-extra,
 fonts-droid-fallback,
 fonts-lato,
 fonts-lohit-beng-bengali,
 ${misc:Depends},
Suggests:
 wesnoth-1.18-music,
Description: data files for Wesnoth (branch 1.18)
 This package contains the sound files and graphics for Wesnoth. It is required
 for being able to play wesnoth or create maps with the editor.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

# TODO: Remove package after Debian trixie
Package: wesnoth-core
Architecture: all
Section: oldlibs
Depends:
 wesnoth-1.18 (>= ${binary:Version}),
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
Description: fantasy turn-based strategy game (transitional package)
 This is a transitional dummy metapackage.  It can safely be removed.
 To play the latest stable version of Wesnoth, install the wesnoth package.
 To play multiplayer games or user-made add-ons without installing all the
 official campaigns and music, install the wesnoth package without recommended
 packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18
Architecture: any
Depends:
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wesnoth-1.18-did (= ${source:Version}),
 wesnoth-1.18-dm (= ${source:Version}),
 wesnoth-1.18-dw (= ${source:Version}),
 wesnoth-1.18-ei (= ${source:Version}),
 wesnoth-1.18-httt (= ${source:Version}),
 wesnoth-1.18-l (= ${source:Version}),
 wesnoth-1.18-low (= ${source:Version}),
 wesnoth-1.18-music (= ${source:Version}),
 wesnoth-1.18-nr (= ${source:Version}),
 wesnoth-1.18-sof (= ${source:Version}),
 wesnoth-1.18-sota (= ${source:Version}),
 wesnoth-1.18-sotbe (= ${source:Version}),
 wesnoth-1.18-thot (= ${source:Version}),
 wesnoth-1.18-trow (= ${source:Version}),
 wesnoth-1.18-tsg (= ${source:Version}),
 wesnoth-1.18-ttb (= ${source:Version}),
 wesnoth-1.18-utbs (= ${source:Version}),
 wesnoth-1.18-wof (= ${source:Version}),
Breaks:
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Replaces:
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Description: fantasy turn-based strategy game (branch 1.18)
 This package contains the main program for Wesnoth.  If you only want to
 play a few official campaigns, multiplayer games over the network with other
 players, user-made add-ons, and/or without music, install this package without
 recommended packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth
Architecture: all
Depends:
 wesnoth-1.18 (>= ${binary:Version}),
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
Description: fantasy turn-based strategy game (metapackage)
 This metapackage pulls in the main Wesnoth package which allows you to play
 using the latest stable version.  If you only want to play a few official
 campaigns, multiplayer games over the network with other players, user-made
 add-ons, and/or without music, install this package without recommended
 packages.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-music
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: music files for Wesnoth (branch 1.18)
 This package contains the music files for Wesnoth. It is not required but
 gives nice background music and encouraged.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-music
Architecture: all
Multi-Arch: foreign
Depends:
 wesnoth-1.18-data (= ${source:Version}),
 wesnoth-1.18-music (= ${source:Version}),
 ${misc:Depends},
Description: music files for Wesnoth (metapackage)
 This metapackage pulls in the music package for use with the latest stable
 version of wesnoth.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Description: multiplayer network server for Wesnoth (branch 1.18)
 This package contains the multiplayer network server for Wesnoth.  You need it
 if you want to host multiplayer games on your computer and don't want to use
 the official servers.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-tools
Architecture: all
Multi-Arch: foreign
Depends:
 python3:any,
 wesnoth-1.18-data (= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 imagemagick | graphicsmagick-imagemagick-compat,
Enhances:
 wesnoth-1.18 (>> 1:1.16.11-1.~),
 wesnoth-1.18-core (<< 1:1.16.11-1.~),
Description: tools for campaign developers for Wesnoth (branch 1.18)
 This package contains various tools for Wesnoth that are especially useful for
 campaign developers, including but not limited to scripts supporting the
 generation and checking of WML (Wesnoth Markup Language).  You can find them
 in the directory /usr/share/games/wesnoth/1.18/data/tools
 after installation of the package.
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-httt
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "Heir to the Throne" official campaign for Wesnoth (branch 1.18)
 This package contains the "Heir to the Throne" campaign for Wesnoth:
 "Fight to regain the throne of Wesnoth, of which you are the legitimate
 heir."
 (Novice level, 23 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-tsg
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The South Guard" official campaign for Wesnoth (branch 1.18)
 This package contains the "The South Guard" campaign for Wesnoth:
 "A young Knight, Deoran, is dispatched to take command of the South Guard...
 Note: This campaign is designed as an introduction to Wesnoth. The 'Civilian'
 difficulty level is aimed at first-time players."
 (Novice level, 9 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-trow
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The Rise of Wesnoth" official campaign for Wesnoth (branch 1.18)
 This package contains the "The Rise of Wesnoth" campaign for Wesnoth:
 "Lead Prince Haldric through the destruction of the Green Isle and across the
 Ocean to establish the very kingdom of Wesnoth itself. The confrontation with
 Lich-Lord Jevyan awaits..."
 (Intermediate level, 24 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-ttb
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "A Tale of Two Brothers" official campaign for Wesnoth (branch 1.18)
 This package contains the "A Tale of Two Brothers" campaign for Wesnoth:
 "An evil mage is threatening the small village of Maghre and its inhabitants.
 The village’s mage sends to his warrior brother for help, but not all goes as
 planned. Can you help?"
 (Novice level, 4 scenarios.)
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over
 from one scenario to the next in a campaign.

Package: wesnoth-1.18-ei
Depends:
 wesnoth-1.18 (<< ${wesnoth:Max-Version}),
 wesnoth-1.18 (>= ${wesnoth:Min-Version}),
 ${misc:Depends},
Architecture: all
Description: "The Eastern Invasion" official campaign for Wesnoth (branch 1.18)
 This package contains the "The Eastern Invasion" campaign for Wesnoth:
 "There are rumors of undead attacks on the eastern border of Wesnoth. You, an
 officer in the Royal Army, have been sent to the eastern front to protect the
 villagers and find out what is happening."
 (Intermediate level, 16 scenarios.)"
 .
 Battle for control of villages, using variety of units which have advantages
 and disadvantages in different types of terrains and against different types
 of attacks.  Units gain experience and advance levels, and are carried over

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for wesnoth
# copyright 2007-2018 by Rhonda D'Vine <rhonda@debian.org>
# Licenced under MIT

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# for DEB_VERSION* variables
include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

# less debug info to avoid running out of address space
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
    CXXFLAGSDBG = -g1
endif

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -std=c11 -fopenmp
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS) -std=c++11 -fopenmp  $(CXXFLAGSDBG)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter $(DEB_BUILD_ARCH),alpha))
  LDFLAGS += -Wl,--no-relax
endif
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif


# used for package name extension
BRANCH_VERSION = $(shell echo $(DEB_SOURCE) | sed 's/^wesnoth-//')
BRANCH_MAJOR   = $(shell echo $(BRANCH_VERSION) | cut -d. -f1)
BRANCH_MINOR   = $(shell echo $(BRANCH_VERSION) | cut -d. -f2)
BRANCH_ISDEV   = $(shell echo $$(( $(BRANCH_MINOR) % 2 )) )

# calculate the version strings
EPOCH_VERSION = $(shell echo $(DEB_VERSION) | cut -d: -f1)
MAJOR_VERSION = $(shell echo $(DEB_VERSION) | cut -d. -f1)
MINOR_VERSION = $(shell echo $(DEB_VERSION) | cut -d. -f2 | cut -d- -f1 | sed -e 's/[^0-9]//g')
ISDEV_VERSION = $(shell echo $$(( $(MINOR_VERSION) % 2 )) )
UPSTR_VERSION = $(DEB_VERSION_EPOCH_UPSTREAM)

# choose correct MIN_VERSION (for >=) and MAX_VERSION (for <<) depending on
# ISDEV_VERSION and BRANCH_ISDEV
ifeq ($(ISDEV_VERSION), 1)
ifeq ($(BRANCH_ISDEV), 1)
	# e.g. wesnoth-1.17 (1:1.17.0-1)
	# Depends: wesnoth-1.17 (<< 1:1.17.0.~), wesnoth-1.17 (>= 1:1.17.0)
	MIN_VERSION = $(UPSTR_VERSION)
	MAX_VERSION = $(UPSTR_VERSION).~
else
	# e.g. wesnoth-1.18 (1:1.17.26-1)
	# Depends: wesnoth-1.18 (<< 1:1.19), wesnoth-1.18 (>= 1:1.17.26)
	MIN_VERSION = $(UPSTR_VERSION)
	MAX_VERSION = $(MAJOR_VERSION).$(shell echo $$(( $(MINOR_VERSION) + 2 )) )
endif
else
	# e.g. wesnoth-1.18 (1:18.0-1)
	# Depends: wesnoth-1.18 (<< 1:1.19), wesnoth-1.18 (>= 1:1.18)
	MIN_VERSION = $(MAJOR_VERSION).$(MINOR_VERSION)
	MAX_VERSION = $(MAJOR_VERSION).$(shell echo $$(( $(MINOR_VERSION) + 1 )) )
endif

CMAKE_SWITCHES = \
	-DBINARY_SUFFIX="-$(BRANCH_VERSION)" \
	-DCMAKE_INSTALL_PREFIX="/usr/" \
	-DCMAKE_INSTALL_BINDIR="/usr/games" \
	-DCMAKE_INSTALL_DATAROOTDIR="/usr/share/games" \
	-DDATADIRNAME="wesnoth/$(BRANCH_VERSION)" \
	-DCMAKE_INSTALL_DOCDIR="/usr/share/doc/wesnoth-$(BRANCH_VERSION)-data" \
	-DLOCALEDIR="locale" \
	-DCMAKE_INSTALL_MANDIR="/usr/share/man" \
	-DPREFERENCES_DIR=".config/wesnoth-$(BRANCH_VERSION)" \
	-DFIFO_DIR=/run/wesnothd/$(BRANCH_VERSION) \
	-DCMAKE_VERBOSE_MAKEFILE=on

SYSTEMD_SERVICE = debian/wesnoth-$(BRANCH_VERSION)-server/lib/systemd/system/wesnoth-$(BRANCH_VERSION)-server.service

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_SWITCHES)

override_dh_auto_test:
	# sets "SDL_AUDIODRIVER=dummy" so the SDL_Mixer test works under sbuild,
	# unlike the regular "tests" target.
	dh_auto_build -- conftests

override_dh_install:
	# helpheader.html is not referenced by anything installed in the binary
	# packages and it causes lintian to complain about embedded jquery and
	# privacy-breach-generic warnings, so avoid installing it.
	dh_install -Xgitignore -Xhelpheader.html -Xhelptrailer.html

execute_after_dh_install-arch:
	# manpage symlinks for old binaries
	for i in debian/wesnoth-$(BRANCH_VERSION)/usr/share/man/*/man6/wesnoth.6; do \
		ln -s wesnoth-$(BRANCH_VERSION).6.gz \
			`dirname $$i`/wesnoth-$(BRANCH_VERSION)-smallgui.6.gz; \
		ln -s wesnoth-$(BRANCH_VERSION).6.gz \
			`dirname $$i`/wesnoth-$(BRANCH_VERSION)_editor.6.gz; \
	done
	ln -s wesnoth-$(BRANCH_VERSION).6.gz \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/man/man6/wesnoth-$(BRANCH_VERSION)-smallgui.6.gz
	ln -s wesnoth-$(BRANCH_VERSION).6.gz \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/man/man6/wesnoth-$(BRANCH_VERSION)_editor.6.gz
	
	# move the manpages to their proper name
	for i in debian/wesnoth-$(BRANCH_VERSION)/usr/share/man/man6/wesnoth.6 \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/man/*/man6/wesnoth.6; do \
		mv $$i $$(echo $$i | sed -e 's/wesnoth\.6/wesnoth-$(BRANCH_VERSION).6/'); \
	done
	for i in debian/wesnoth-$(BRANCH_VERSION)-server/usr/share/man/man6/wesnothd.6 \
		debian/wesnoth-$(BRANCH_VERSION)-server/usr/share/man/*/man6/wesnothd.6; do \
		mv $$i $$(echo $$i | sed -e 's/wesnothd\.6/wesnothd-$(BRANCH_VERSION).6/'); \
	done
	
	# move the desktop and metainfo files to their proper name
	mv debian/wesnoth-$(BRANCH_VERSION)/usr/share/applications/org.wesnoth.Wesnoth.desktop \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/applications/org.wesnoth.Wesnoth-$(BRANCH_VERSION).desktop
	mv debian/wesnoth-$(BRANCH_VERSION)/usr/share/metainfo/org.wesnoth.Wesnoth.appdata.xml \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/metainfo/org.wesnoth.Wesnoth-$(BRANCH_VERSION).appdata.xml
	# add branch name to desktop and metainfo entries
	sed -i -e "/^Name/ s/$$/ ($(BRANCH_VERSION))/" \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/applications/*.desktop
	sed -i -e "s/Wesnoth.desktop/Wesnoth-$(BRANCH_VERSION).desktop/" \
		debian/wesnoth-$(BRANCH_VERSION)/usr/share/metainfo/*.xml
	
	# /usr/share/doc symlinks
	for i in wesnoth-$(BRANCH_VERSION) ; do \
		install -p -d -m755 debian/$$i/usr/share/doc; \
		ln -s wesnoth-$(BRANCH_VERSION)-data debian/$$i/usr/share/doc/$$i; \
	done

execute_after_dh_install-indep:
	# workaround for dh_link (mis)behavior, see BTS#445550
	for i in dejavu/DejaVuSans.ttf dejavu/DejaVuSans-Bold.ttf dejavu/DejaVuSansMono.ttf dejavu/DejaVuSansMono-Bold.ttf dejavu/DejaVuSans-Oblique.ttf droid/DroidSansFallbackFull.ttf lato/Lato-Bold.ttf lato/Lato-Italic.ttf lato/Lato-Medium.ttf lato/Lato-MediumItalic.ttf lato/Lato-Light.ttf lato/Lato-LightItalic.ttf lato/Lato-Regular.ttf lato/Lato-BlackItalic.ttf lato/Lato-Black.ttf lato/Lato-BoldItalic.ttf lato/Lato-Bold.ttf lato/Lato-HairlineItalic.ttf lato/Lato-Hairline.ttf lato/Lato-HeavyItalic.ttf lato/Lato-Heavy.ttf lato/Lato-SemiboldItalic.ttf lato/Lato-Semibold.ttf lato/Lato-ThinItalic.ttf lato/Lato-Thin.ttf adf/OldaniaADFStd-BoldItalic.otf adf/OldaniaADFStd-Bold.otf adf/OldaniaADFStd-Italic.otf adf/OldaniaADFStd-Regular.otf lohit-bengali/Lohit-Bengali.ttf; \
		do ln -sf /usr/share/fonts/truetype/$$i \
	       	debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/games/wesnoth/$(BRANCH_VERSION)/fonts/`basename $$i`; \
	done
	
	# rename icons versioned
	for i in 128x128/apps/wesnoth-icon.png 16x16/apps/wesnoth-icon.png 256x256/apps/wesnoth-icon.png 32x32/apps/wesnoth-icon.png 512x512/apps/wesnoth-icon.png 64x64/apps/wesnoth-icon.png; \
		do mv debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/$$i \
		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/hicolor/`dirname $$i`/wesnoth-$(BRANCH_VERSION)-icon.png; \
	done
	mv debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/HighContrast/scalable/apps/wesnoth-icon.svg \
		debian/wesnoth-$(BRANCH_VERSION)-data/usr/share/icons/HighContrast/scalable/apps/wesnoth-$(BRANCH_VERSION)-icon.svg
	
	# Drop data/tools/wesnoth_addon_manager (standalone client for addon devs to
	# upload/download WML content from addon server, no impact on in-game addon

## wesnoth-1.18 1.18.3

=== debian/changelog ===
wesnoth-1.18 (1:1.18.3-1) unstable; urgency=medium

  * New upstream stable release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Nov 2024 02:35:41 -0800

## wesnoth-1.18 1.18.4

=== debian/changelog ===
wesnoth-1.18 (1:1.18.4-1) unstable; urgency=medium

  * New upstream stable release.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 18 Feb 2025 13:03:41 -0800

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Build-Depends:
  cmake (>= 3.14),
+ debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
  libboost-coroutine-dev       (>= 1.66.0),
  libboost-filesystem-dev      (>= 1.66.0),
@@ -20,6 +21,7 @@
  libcurl4-openssl-dev,
  libdbus-1-dev,
  libfontconfig-dev (>= 2.4.1),
+ liblua5.4-dev (>= 5.4.6-3),
  libpango1.0-dev (>= 1.44.0),
  libreadline-dev,
  libsdl2-dev (>= 2.0.18),
@@ -298,4 +300,3 @@
  .
  Battle for control of villages, using variety of units which have advantages
  and disadvantages in different types of terrains and against different types
- of attacks.  Units gain experience and advance levels, and are carried over
